      *---------------------------------------------------------------
      *--- MFJCTLBC.CPY: JCL JOB/STEP AND DD INFO PARAMETERS
      *---    Call interface control block version 03
      *--- Copyright (C) 2006-2007 Micro Focus (IP) Limited
      *---------------------------------------------------------------

       01  (TAG)-function              pic  9(08) comp.
           88  (TAG)-func-get-exec                value  10.
           88  (TAG)-func-get-dd                  value  20.
           88  (TAG)-func-get-dd-concat           value  21.
           88  (TAG)-func-get-dd-first            value  30.
           88  (TAG)-func-get-dd-next             value  31.
           88  (TAG)-func-get-dd-end              value  32.
           88  (TAG)-func-alloc-dd                value  40.
           88  (TAG)-func-dealloc-dd              value  41.
           88  (TAG)-func-delete-dd               value  42.
           88  (TAG)-func-concat-add-first        value  50.
           88  (TAG)-func-concat-add-next         value  51.
           88  (TAG)-func-concat-alloc            value  52.

       01  (TAG)-retcode               pic  9(08) comp.
           88  (TAG)-rc-normal                    value  zeros.
           88  (TAG)-rc-badcall                   value  00016.
           88  (TAG)-rc-badfunc                   value  00016.
           88  (TAG)-rc-invhandle                 value  00100.
           88  (TAG)-rc-nomore                    value  00500.
           88  (TAG)-rc-notfnd                    value  01011.
           88  (TAG)-rc-duplicate-lockrec         value  01012.
           88  (TAG)-rc-ddn-in-use                value  10001.
           88  (TAG)-rc-bad-gdg-name              value  10002.
           88  (TAG)-rc-pdsmem-mod-exists         value  10004.
           88  (TAG)-rc-dsn-new-exist-uncat       value  10006.
           88  (TAG)-rc-dsn-new-exists            value  10007.
           88  (TAG)-rc-not-a-pds                 value  10008.
           88  (TAG)-rc-dsn-old-shr-missing       value  10009.
           88  (TAG)-rc-catalog-gu                value  10010.
           88  (TAG)-rc-pc-file-dlet              value  10011.
           88  (TAG)-rc-mvsrgdg-timeout           value  10012.
           88  (TAG)-rc-mvsrgdg-other             value  10013.
           88  (TAG)-rc-ddn-not-fnd               value  10014.
           88  (TAG)-rc-catalog-allc-no-fab       value  10015.
           88  (TAG)-rc-catalog-allc-badreq       value  10016.
           88  (TAG)-rc-catalog-allc              value  10017.
           88  (TAG)-rc-catalog-dlet              value  10018.
           88  (TAG)-rc-catalog-repl              value  10019.
           88  (TAG)-rc-spool-open                value  10020.
           88  (TAG)-rc-spool-write               value  10021.
           88  (TAG)-rc-spool-close               value  10022.
           88  (TAG)-rc-catalog-ren               value  10023.
           88  (TAG)-rc-dd-is-not-dynam           value  10024.
           88  (TAG)-rc-dd-is-open                value  10025.
           88  (TAG)-rc-catalog-lock              value  10026.
           88  (TAG)-rc-catalog-unlk              value  10027.
           88  (TAG)-rc-catalog-unlr              value  10028.
           88  (TAG)-rc-catalog-lock-lock         value  10029.
           88  (TAG)-rc-catalog-unlk-lock         value  10030.
           88  (TAG)-rc-catalog-unlr-lock         value  10031.
           88  (TAG)-rc-catalog-unlr-global       value  10032.
           88  (TAG)-rc-catalog-lock-wait         value  10033.
           88  (TAG)-rc-catalog-global-wait       value  10034.
           88  (TAG)-rc-mult-dd-func-failed       value  10035.
           88  (TAG)-rc-dataclas-notfnd           value  10036.
           88  (TAG)-rc-dataclas-notfnd-ref       value  10037.
           88  (TAG)-rc-mvssms-gu                 value  10038.
           88  (TAG)-rc-no-stg                    value  10039.
           88  (TAG)-rc-rsrc-unavail              value  10040.
           88  (TAG)-rc-auth-ds-alloc             value  10041.
           88  (TAG)-rc-auth-ds-read              value  10042.
           88  (TAG)-rc-auth-ds-update            value  10043.
           88  (TAG)-rc-auth-ds-delete            value  10044.
           88  (TAG)-rc-reason-new-no-space       value  11001.
           88  (TAG)-rc-enq-deq                   value  20000.

       01  (TAG)-exec-area.
           05  (TAG)-exec-version      pic  x(02).
               88  (TAG)-exec-vers-cur            value  '03'.
               88  (TAG)-exec-vers-valid          values x'3033'
                                                         x'F0F3'.
           05  (TAG)-job-jobname       pic  x(08).
           05  (TAG)-job-jobnum        pic  9(05).
           05  (TAG)-job-userid        pic  x(08).
           05  (TAG)-job-account       pic x(144).
           05  (TAG)-job-start-date    pic  9(08).
           05  (TAG)-job-start-time    pic  9(08).
           05  (TAG)-step-start-date   pic  9(08).
           05  (TAG)-step-start-time   pic  9(08).
           05  (TAG)-step-jstepname    pic  x(08).
           05  (TAG)-step-pstepname    pic  x(08).
           05  (TAG)-step-jstepnum     pic  9(03).
           05  (TAG)-step-pstepnum     pic  9(03).
           05  (TAG)-step-prog-exec    pic  x(08).
           05  (TAG)-step-prog-alias   pic  x(08).
           05  (TAG)-step-parm-len     pic  9(03).
           05  (TAG)-step-parm-value   pic x(100).
           05  (TAG)-step-account      pic x(144).
           05  (TAG)-exec-expansion    pic x(116).

       01  (TAG)-dd-area.
           05  (TAG)-dd-version        pic  x(02).
               88  (TAG)-dd-vers-cur              value  '03'.
               88  (TAG)-dd-vers-valid            values x'3033'
                                                         x'F0F3'.
           05  (TAG)-ddname            pic  x(08).
           05  (TAG)-ddnum             pic  9(03).
           05  (TAG)-dsnum             pic  9(03).
           05  (TAG)-dsname-dsn        pic  x(44).
           05  (TAG)-dsname-mbr        pic  x(08).
           05  (TAG)-filename          pic x(260).
           05  (TAG)-gdg-bias-sw       pic  x(01).
               88  (TAG)-gdg-bias-on              value  'Y'.
           05  (TAG)-gdg-bias-nbr      pic s9(4) sign trailing separate.
           05  (TAG)-dstype            pic  x(04).
               88  (TAG)-dstype-perm              value  'PERM'.
               88  (TAG)-dstype-temp              value  'TEMP'.
               88  (TAG)-dstype-dummy             value  'DUMY'.
               88  (TAG)-dstype-sysout            value  'SOUT'.
               88  (TAG)-dstype-terminal          value  'TERM'.
               88  (TAG)-dstype-pc                value  'PC  '.
           05  (TAG)-disp-init         pic  x(04).
               88  (TAG)-disp-init-mod            value  'MOD '.
               88  (TAG)-disp-init-new            value  'NEW '.
               88  (TAG)-disp-init-old            value  'OLD '.
               88  (TAG)-disp-init-shr            value  'SHR '.
           05  (TAG)-disp-norm         pic  x(08).
               88  (TAG)-disp-norm-catlg          value  'CATLG   '.
               88  (TAG)-disp-norm-delete         value  'DELETE  '.
               88  (TAG)-disp-norm-keep           value  'KEEP    '.
               88  (TAG)-disp-norm-pass           value  'PASS    '.
               88  (TAG)-disp-norm-uncatlg        value  'UNCATLG '.
           05  (TAG)-disp-cond         pic  x(08).
               88  (TAG)-disp-cond-catlg          value  'CATLG   '.
               88  (TAG)-disp-cond-delete         value  'DELETE  '.
               88  (TAG)-disp-cond-keep           value  'KEEP    '.
               88  (TAG)-disp-cond-pass           value  'PASS    '.
               88  (TAG)-disp-cond-uncatlg        value  'UNCATLG '.
           05  (TAG)-dsorg             pic  x(04).
               88  (TAG)-dsorg-ps                 value  'PS  '.
               88  (TAG)-dsorg-psu                value  'PSU '.
               88  (TAG)-dsorg-po                 value  'PO  '.
               88  (TAG)-dsorg-pou                value  'POU '.
               88  (TAG)-dsorg-da                 value  'DA  '.
               88  (TAG)-dsorg-dau                value  'DAU '.
               88  (TAG)-dsorg-is                 value  'IS  '.
               88  (TAG)-dsorg-vsam               value  'VSAM'.
               88  (TAG)-dsorg-gdg                value  'GDG '.
           05  (TAG)-recfm             pic  x(04).
               88  (TAG)-recfm-f                  value  'F   '.
               88  (TAG)-recfm-fa                 value  'FA  '.
               88  (TAG)-recfm-fm                 value  'FM  '.
               88  (TAG)-recfm-fb                 value  'FB  '.
               88  (TAG)-recfm-fba                value  'FBA '.
               88  (TAG)-recfm-fbm                value  'FBM '.
               88  (TAG)-recfm-fs                 value  'FS  '.
               88  (TAG)-recfm-fbs                value  'FBS '.
               88  (TAG)-recfm-v                  value  'V   '.
               88  (TAG)-recfm-va                 value  'VA  '.
               88  (TAG)-recfm-vm                 value  'VM  '.
               88  (TAG)-recfm-vb                 value  'VB  '.
               88  (TAG)-recfm-vba                value  'VBA '.
               88  (TAG)-recfm-vbm                value  'VBM '.
               88  (TAG)-recfm-vs                 value  'VS  '.
               88  (TAG)-recfm-vbs                value  'VBS '.
               88  (TAG)-recfm-u                  value  'U   '.
               88  (TAG)-recfm-ks                 value  'KS  '.
               88  (TAG)-recfm-es                 value  'ES  '.
               88  (TAG)-recfm-rr                 value  'RR  '.
               88  (TAG)-recfm-ls                 value  'LS  '.
               88  (TAG)-recfm-vrec               value  'VREC'.
               88  (TAG)-recfm-lseq               value  'LSEQ'.
           05  (TAG)-lrecl-jcl         pic  9(06).
           05  (TAG)-lrecl-min         pic  9(06).
           05  (TAG)-lrecl-max         pic  9(06).
           05  (TAG)-blksize           pic  9(06).
           05  (TAG)-keyoff            pic  9(06).
           05  (TAG)-keylen            pic  9(03).
           05  (TAG)-trtch             pic  x(01).
               88  (TAG)-trtch-ansi               value  'A'.
               88  (TAG)-trtch-ebcdic             value  'E'.
           05  (TAG)-free-close        pic  x(01).
               88  (TAG)-free-close-on            value  'C'.
           05  (TAG)-unit              pic  x(08).
           05  (TAG)-volser            pic  x(06).
           05  (TAG)-dataclas          pic  x(08).
           05  (TAG)-mgmtclas          pic  x(08).
           05  (TAG)-storclas          pic  x(08).
           05  (TAG)-sout-class        pic  x(01).
           05  (TAG)-sout-writer       pic  x(08).
           05  (TAG)-sout-code.
               10  (TAG)-sout-form     pic  x(04).
               10  filler              pic  x(04).
           05  (TAG)-sout-burst        pic  x(01).
               88  (TAG)-sout-burst-on            value  'Y'.
           05  (TAG)-sout-chars-tbl.
               10  (TAG)-sout-chars    pic  x(04) occurs  4.
           05  (TAG)-sout-copies-tbl.
               10  (TAG)-sout-copies   pic  9(03) occurs  9.
           05  (TAG)-sout-dest1        pic  x(08).
           05  (TAG)-sout-dest2        pic  x(08).
           05  (TAG)-sout-fcb-name     pic  x(04).
           05  (TAG)-sout-flash-name   pic  x(04).
           05  (TAG)-sout-flash-cnt    pic  9(03).
           05  (TAG)-sout-hold         pic  x(01).
               88  (TAG)-sout-hold-on             value  'Y'.
           05  (TAG)-sout-modify-name  pic  x(04).
           05  (TAG)-sout-modify-trc   pic  9(01).
           05  (TAG)-sout-outlim       pic  9(08).
           05  (TAG)-sout-ucs-name     pic  x(04).
           05  (TAG)-dd-expansion      pic  x(55).
