      *>*********************************************************
      *> Uninitialised FCD definition for Callable File Handler *
      *>*********************************************************
      *>
           05  FCD-FILE-STATUS.
               10  FCD-STATUS-KEY-1 PIC X.
               10  FCD-STATUS-KEY-2 PIC X.
               10  FCD-BINARY       REDEFINES FCD-STATUS-KEY-2
                                    PIC 99 COMP-X.
           05  FCD-LENGTH            pic xx comp-x.
           05  FCD-VERSION           pic x comp-x.
              78 fcd--version-number           value 0.

           05  FCD-ORGANIZATION     PIC 9(2) COMP-X.
           05  FCD-ACCESS-MODE      PIC 9(2) COMP-X.
           05  FCD-OPEN-MODE        PIC 9(2) COMP-X.
           05  FILLER               PIC X(2).
           05  FCD-BLOCK-SIZE       PIC 9(2) COMP-X.
           05  FCD-NAME-LENGTH      PIC 9(4) COMP-X.
           05  FCD-RELADDR-BIG      PIC X(8) COMP-X.
           05  redefines fcd-reladdr-big.
              07  fcd-device-flag      pic x comp-x.    *> x"0d"
       78 dev-normal      value 0.
       78 dev-device      value 1.
       78 dev-stdin       value 2.
       78 dev-stdout      value 3.
       78 dev-stderr      value 4.
       78 dev-badname     value 5.
       78 dev-input-pipe  value 6.
       78 dev-output-pipe value 7.
       78 dev-i-o-pipe    value 8.
       78 dev-library     value 9.
       78 dev-disk-file   value 10.
       78 dev-null        value 11.
       78 dev-disk-redir  value 12.
       78 dev-no-map      value 13.

              07  fcd-idxname-length   pic xx comp-x.   *> x"0e"
              07  fcd-index-name       usage pointer.   *> x"10"
           05  FILLER               PIC X.
           05  FCD-TRANS-LOG        PIC 9(2) COMP-X.
           05  FILLER               PIC X(1).
           05  FCD-LOCK-MODE        PIC 9(2) COMP-X.
           05  FCD-OTHER-FLAGS      PIC 9(2) COMP-X.
           05  FILLER               PIC X(2).
           05  FCD-HANDLE           USAGE POINTER.
           05  FCD-HANDLE-NUM       REDEFINES FCD-HANDLE
                                    PIC X(4) COMP-X.
           05  FCD-PERCENT          PIC 9(2) COMP-X.
           05  FCD-REC-COUNT-SET    REDEFINES FCD-PERCENT
                                    PIC 9(2) COMP-X.
           05  FCD-STATUS-TYPE      PIC 9(2) COMP-X.
           05  FCD-FILE-FORMAT      PIC 9(2) COMP-X.
           05  FILLER               PIC X(3).
           05  FCD-MAX-REC-LENGTH   PIC 9(4) COMP-X.
           05  FILLER               PIC X(2).
           05  FCD-MVS-FLAGS        PIC 9(2) COMP-X.
           05  FCD-RELATIVE-KEY     PIC 9(9) COMP-X.
           05  FCD-RECORDING-MODE   PIC 9(2) COMP-X.
           05  FCD-CURRENT-REC-LEN  PIC 9(4) COMP-X.
           05  FCD-MIN-REC-LENGTH   PIC 9(4) COMP-X.
           05  FCD-KEY-ID           PIC 9(4) COMP-X.
           05  FCD-LINE-COUNT       REDEFINES FCD-KEY-ID
                                    PIC 9(4) COMP-X.
           05                       REDEFINES FCD-KEY-ID.
               10  FCD-USE-FILES    PIC X COMP-X.
               10  FCD-GIVE-FILES   PIC X COMP-X.
           05  FCD-KEY-LENGTH       PIC 9(4) COMP-X.
           05  FCD-RECORD-ADDRESS   USAGE POINTER.
           05  FCD-FILENAME-ADDRESS USAGE POINTER.
           05  FCD-KEY-DEF-ADDRESS  USAGE POINTER.
           05  FCD-COL-SEQ-ADDRESS  USAGE POINTER.
           05  FCD-RELADDR-OFFSET   PIC 9(9) COMP-X.
           05  FCD-RELADDR          REDEFINES FCD-RELADDR-OFFSET
                                    PIC 9(9) COMP-X.
           05  FCD-FILDEF-ADDRESS   REDEFINES FCD-RELADDR-OFFSET
                                    USAGE POINTER.
           05  FCD-NLS-ID           PIC 9(4) COMP-X.
           05  FCD-DATA-COMPRESS    PIC 9(2) COMP-X.
           05  FCD-SESSION-ID       PIC 9(9) COMP-X.
           05  FCD-FS-FILE-ID       PIC 9(4) COMP-X.
           05  FCD-MAX-REL-KEY      PIC 9(9) COMP-X.
           05  FCD-FLAGS-1          PIC 99   COMP-X.
           05  FCD-BLOCKING         PIC 99   COMP-X.
           05  FCD-additional-status redefines FCD-blocking      
                                    pic x    comp-x.  
           05  FCD-LOCKTYPES        PIC 99   COMP-X.
           05  FCD-FS-FLAGS         PIC 99   COMP-X.
           05  FCD-CONFIG-FLAGS     PIC 99   COMP-X.
           05  FCD-MISC-FLAGS       PIC 99   COMP-X.
           05  FCD-CONFIG-FLAGS2    PIC 99   COMP-X.
           05  FCD-IDXCACHE-SIZE    PIC 99   COMP-X.
           05  FCD-IDXCACHE-BUFFS   PIC 99   COMP-X.
           05  FCD-internal-flags-1   pic x comp-x.                          
           05  FCD-internal-flags-2   pic x comp-x.                          
