/****************************************************************************
 *
 *	Copyright (C) 1984-2006 Micro Focus (IP) Limited.
 *	All rights reserved.
 *
 *	The software and information contained herein are
 *	proprietary to, and comprise valuable trade secrets of,
 *	Micro Focus (IP) Limited, which intends to preserve
 *	as trade secrets such software and information. This software
 *	is an unpublished copyright of Micro Focus and may not be
 *	used, copied, transmitted, or stored in any manner.  This
 *	software and information or any other copies thereof may not
 *	be provided or otherwise made available to any other person.
 *
 *	Genesis Run Time System (Studio/Server 5.0 Freeze)
 *
 *	@(#)mf_types.h	11.2
 *
 *	Last Modified on 06/12/06 at 11:33:15
 *
 ****************************************************************************/

/** Start of source module mf_types.h **/

#ifndef	MF_TYPES
#define	MF_TYPES

/* This file, which is supplied in $COBDIR/include, is provided for
 * backwards compatibility only.  It has been replaced by cobtypes.h.
 */

#ifdef	__cplusplus
extern "C" {
#endif

#include "cobtypes.h"

typedef	cobuns8_t		mf_uns8;
typedef cobuns16_t		mf_uns16;
typedef cobuns32_t		mf_uns32;
typedef cobs16_t		mf_s16;
typedef cobs32_t		mf_s32;

#ifdef	__cplusplus
}
#endif

#endif	/* MF_TYPES */

/** End of source module mf_types.h **/
